summaryrefslogtreecommitdiff
path: root/pcr/kodi-standalone-service
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@parabola.nu>2015-01-22 15:05:00 -0200
committerAndré Fabian Silva Delgado <emulatorman@parabola.nu>2015-01-22 15:05:00 -0200
commitbd26b462c451bbf0f13a323b4942c89a2c439844 (patch)
tree2d4b1c6cd2a2370f5d1c6368474c70bab33fb9cb /pcr/kodi-standalone-service
parent64da8c3bf875b08c73891f9a59f58aaa6b9a6dff (diff)
downloadabslibre-bd26b462c451bbf0f13a323b4942c89a2c439844.tar.gz
abslibre-bd26b462c451bbf0f13a323b4942c89a2c439844.tar.bz2
abslibre-bd26b462c451bbf0f13a323b4942c89a2c439844.zip
rename xbmc-standalone-service to kodi-standalone-service
Diffstat (limited to 'pcr/kodi-standalone-service')
-rw-r--r--pcr/kodi-standalone-service/PKGBUILD29
-rw-r--r--pcr/kodi-standalone-service/readme.install37
2 files changed, 66 insertions, 0 deletions
diff --git a/pcr/kodi-standalone-service/PKGBUILD b/pcr/kodi-standalone-service/PKGBUILD
new file mode 100644
index 000000000..2e81d9251
--- /dev/null
+++ b/pcr/kodi-standalone-service/PKGBUILD
@@ -0,0 +1,29 @@
+# Maintainer (Arch): graysky <graysky AT archlinux DOT us>
+# Contributor (Arch): Sergej Pupykin <pupykin.s+arch@gmail.com>
+# Contributor (Arch): Brad Fanella <bradfanella@archlinux.us>
+# Contributor (Arch): [vEX] <niechift.dot.vex.at.gmail.dot.com>
+# Contributor (Arch): Zeqadious <zeqadious.at.gmail.dot.com>
+# Contributor (Arch): BlackIkeEagle < ike DOT devolder AT gmail DOT com >
+# Contributor (Arch): Bartłomiej Piotrowski <bpiotrowski@archlinux.org>
+# Contributor (Arch): Maxime Gauduin <alucryd@gmail.com>
+# Maintainer : André Silva <emulatorman@parabola.nu>
+
+pkgname=kodi-standalone-service
+pkgver=1.8
+pkgrel=1
+pkgdesc="Systemd service and user to autostart kodi at boot"
+arch=('any')
+url="https://wiki.parabola.nu/index.php/Kodi#Kodi-standalone-service"
+license=('GPL')
+depends=('systemd' 'xorg-server' 'xorg-xinit' 'kodi')
+replaces=('xbmc-standalone-service')
+install=readme.install
+source=("https://github.com/graysky2/$pkgname/archive/v$pkgver.tar.gz")
+sha256sums=('a165a66e976bb1a6ac622618887c2f9699acd84d8790af517b85a66bf5e0474c')
+
+package() {
+ install -Dm644 "$srcdir/$pkgname-$pkgver/init/kodi.service" \
+ "$pkgdir/usr/lib/systemd/system/kodi.service"
+ install -dm 700 "$pkgdir"/var/lib/kodi
+ chown 420:420 "$pkgdir"/var/lib/kodi
+}
diff --git a/pcr/kodi-standalone-service/readme.install b/pcr/kodi-standalone-service/readme.install
new file mode 100644
index 000000000..0f5edbec0
--- /dev/null
+++ b/pcr/kodi-standalone-service/readme.install
@@ -0,0 +1,37 @@
+post_install() {
+ getent group xbmc > /dev/null || groupadd -g 420 xbmc
+ if ! getent passwd xbmc > /dev/null; then
+ useradd -c 'XBMC user' -u 420 -g xbmc -G audio,video,network,optical -d /var/lib/xbmc -s /sbin/nologin xbmc
+ passwd -l xbmc > /dev/null
+ fi
+}
+
+post_upgrade() {
+ post_install $1
+ if ! getent group xbmc | cut -d: -f3 | grep 420 > /dev/null 2>&1; then
+ groupmod -g 420 xbmc > /dev/null 2>&1
+ fi
+ if ! id -u xbmc | grep 420 > /dev/null 2>&1; then
+ usermod -u 420 xbmc > /dev/null 2>&1
+ if [[ $? -ne 0 ]]; then
+ echo "Changing uid of user xbmc failed"
+ echo "It is recommended that the uid is changed."
+ echo "Stop all processes running under the xbmc user and reinstall xbmc"
+ echo "or change the uid manually. (usermod -u 420 xbmc)"
+ fi
+ chown -R xbmc:xbmc /var/lib/xbmc
+ fi
+}
+
+post_remove() {
+ getent passwd xbmc > /dev/null 2>&1 && userdel xbmc
+ getent group xbmc > /dev/null 2>&1 && groupdel xbmc
+}
+
+post_message() {
+ echo "To autostart xbmc standalone, you must create or modify"
+ echo "/etc/X11/Xwrapper.config to contain the following 2 lines:"
+ echo
+ echo "allowed_users = anybody"
+ echo "needs_root_rights = yes"
+}